Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000076SpeedFanFan controlpublic2004-08-25 22:372005-02-26 01:06
ReporterThomas 
Assigned Toalfredo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS VersionXP SP2
Product Version4.15 
Target VersionFixed in Version4.21 
Summary0000076: After resuming from suspend fans are not controlled
DescriptionAfter resuming from suspend state, where resuming is triggered by a timer event, not by manually waking up the PC, the fans are not controlled until a manually input event.
Steps To Reproduce1) Create a scheduled task event that wakes up the PC
2) Suspend PC
3) Wait for the scheduled task event to wake up the PC
4) When PC wakes up by scheduled task event, *the display stays in suspend mode* (this is not a bug, it is by design of Windows, and it's very usefull!)
*) At this point, the fans are not controlled. The run at 100%
5) Move mouse of press a key -> the display will wake up
*) Now the fans are again controlled by SpeedFan
Additional InformationThe motherboard model is a ASUS CUV4-XE
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Files

- Relationships
related to 0000034resolvedalfredo SpeedFan looses control of fan from hibernation.. 

-  Notes
(0000308)
alfredo (manager)
2004-09-17 00:38

I'm not sure. The issue this one is related to is quite clear to me, but not this one. I will try to figure out what's actually happening. It would be nice to know what happens if you suspend your PC while fans are not running 100%, at which speed they are running upon resume and which speed is shown by SpeedFan when you move the mouse. Basically I would like to know whether SpeedFan properly detects that fans are running at 100% after resuming.
(0000317)
Thomas (reporter)
2004-09-18 08:53

For your questions:
a) Fans are always running <100% when suspending. Actually they are always running at either 0% or 18%.
b) After resume they are running at 100% (according to my ears)
c) I cannot tell you what speed is shown by SpeedFan because the display is still sleeping (blank) at this point. Note: It is not the monitor that is sleeping, but Windows does not awake the whole display system before a manual input event like a mouse move or key press indicates that a real person is sitting before the system.
d) After such an input event, SpeedFan immediately restores the fan speed according to its settings.

This happens only when the system is awakened by a scheduled task.
When the system is awakened manually, e.g. by pressing a key, everything works fine.

For an answer to "at which speed they are running upon resume" can you please provide a modified version of SpeedFan that outputs the real system time instead of "Seconds" in the log?

Also I'm not sure if this issue is related to the other one (ID 34). For me it appears as if SpeedFan depends upon the display system to be awaken to work or start working. (Any dependencies of update display messages?)
(0000319)
alfredo (manager)
2004-09-18 12:00

SpeedFan monitors everything based on a TIMER event. I guess timer events are not fired while in this half-sleep status.
I will build a new beta for you to try.
Could you, please, drop me an email so that I can send it to you? It will contain a zipped exe.
(0000325)
alfredo (manager)
2004-09-18 16:21

I was about to fire a forced timer event, but then I thought that this might lower fans without ever being called again. I need to further investigate this sleeping status. Have you got any reference?
(0000728)
alfredo (manager)
2005-02-26 01:05

SpeedFan 4.21 fixes this issue (you can read about the related issue in the RELATIONSHIPS section on this page).

- Issue History
Date Modified Username Field Change
2004-08-25 22:37 Thomas New Issue
2004-09-17 00:34 alfredo Relationship added related to 0000034
2004-09-17 00:38 alfredo Note Added: 0000308
2004-09-17 00:38 alfredo Status assigned => acknowledged
2004-09-18 08:53 Thomas Note Added: 0000317
2004-09-18 12:00 alfredo Note Added: 0000319
2004-09-18 16:21 alfredo Note Added: 0000325
2005-02-26 01:05 alfredo Note Added: 0000728
2005-02-26 01:06 alfredo Status acknowledged => resolved
2005-02-26 01:06 alfredo Resolution open => fixed
2005-02-26 01:06 alfredo Fixed in Version => 4.21


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3614 seconds.
memory usage: 8,085 KB
Powered by Mantis Bugtracker